## libopasswd-ocaml 0.9.3

=== Makefile ===
# oasis driver

CONFIG?=

SOURCE_LIB=$(shell ls lib/*)
SOURCE_TEST=$(shell ls test/*)

DESTDIR?=$(shell ocamlc -where)

SETUP=setup.ml setup.bin setup.data

.PHONY: default all build clean distclean test install uninstall

default: build

all: build

setup.ml: _oasis
	oasis setup

setup.bin: setup.ml
	ocamlopt -o $@ $<
	rm -f setup.o setup.cmx setup.cmi

setup.data: setup.bin
	./setup.bin -configure --enable-tests --destdir $(DESTDIR) $(CONFIG)

build: $(SETUP) _build/lib/oPasswd.cmxa opasswd_test.native

_build/lib/oPasswd.cmxa: $(SETUP) $(SOURCE_LIB)
	./setup.bin -build

opasswd_test.native: $(SETUP) $(SOURCE_TEST)
	./setup.bin -build

clean: setup.bin
	./setup.bin -clean
	@rm -f dummy-*

distclean: setup.bin
	./setup.bin -distclean
	@rm -f lib/liboPasswd_stubs.clib lib/oPasswd.mlpack
	@rm -f setup.* myocamlbuild.ml _tags lib/META

uninstall:
	ocamlfind remove oPasswd

install: $(SETUP) _build/lib/oPasswd.cmxa
	OCAMLFIND_DESTDIR=$(DESTDIR) \
	OCAMLFIND_LDCONF=$(DESTDIR)/ld.conf \
	./setup.bin -install

reinstall: uninstall install

test: opasswd_test.native
	sudo ./opasswd_test.native

=== debian/changelog ===
libopasswd-ocaml (0.9.3-1) UNRELEASED; urgency=low

  * For -devel package add dependency on ocaml-ctypes-devel

 -- David Scott <dave.scott@citrix.com>  Thu, 01 May 2014 12:00:00 +0000

=== debian/control ===
Source: libopasswd-ocaml
Priority: optional
Maintainer: Euan Harris <euan.harris@citrix.com>
Section: ocaml
Standards-Version: 3.9.3
Build-Depends:
 dh-ocaml (>= 0.9),
 ocaml-nox,
 python,
 debhelper (>= 8),
 libctypes-ocaml-dev,
 ocaml-findlib,
 ocaml-native-compilers,
 libffi-dev

Package: libopasswd-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: OCaml interface to the glibc passwd/shadow password functions
 This is an OCaml binding to the glibc passwd file and shadow password
 file interface. It can be used to read, parse, manipulate and write
 passwd and shadow files on Linux systems. It might also work on other
 nixes, but it has not been tested.

Package: libopasswd-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 libopasswd-ocaml (>= 0.9.3-1),
 libctypes-ocaml-dev,
 libffi6
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Development files for ocaml-opasswd
 The ocaml-opasswd-devel package contains libraries and signature
 files for developing applications that use ocaml-opasswd.

=== debian/rules ===
#!/usr/bin/make -f

#include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/class/makefile.mk
#include /usr/share/cdbs/1/rules/ocaml.mk

export DH_VERBOSE=1
export DH_OPTIONS
export DESTDIR=$(CURDIR)/debian/tmp
%:
	dh $@ --with ocaml --with python2

.PHONY: override_dh_auto_configure
override_dh_auto_configure:

.PHONY: override_dh_auto_build
override_dh_auto_build:
	debian/build.sh

.PHONY: override_dh_auto_install
override_dh_auto_install:
	debian/install.sh

.PHONY: override_dh_install
override_dh_install:
	dh_install
	rm -f debian/libopasswd-ocaml/usr/lib/ocaml/oPasswd/*.a
	rm -f debian/libopasswd-ocaml/usr/lib/ocaml/oPasswd/*.cmxa
	rm -f debian/libopasswd-ocaml/usr/lib/ocaml/oPasswd/*.mli

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	debian/clean.sh
	/bin/rm -rf ${DESTDIR}

.PHONY: override_dh_auto_test
override_dh_auto_test:
